Documentation
¶
Index ¶
- type CreateRecoveryPointRequest
- type DeleteRecoveryPointByIdRequest
- type DiscoverClusterForRecoveryPointIdRequest
- type GetRecoveryPointByIdRequest
- type GetVmRecoveryPointByIdRequest
- type GetVssMetadataByVmRecoveryPointIdRequest
- type ListRecoveryPointsRequest
- type ReplicateRecoveryPointRequest
- type RestoreRecoveryPointRequest
- type SetRecoveryPointExpirationTimeRequest
- type VmRecoveryPointComputeChangedRegionsRequest
- type VolumeGroupRecoveryPointComputeChangedRegionsRequest
Constants ¶
This section is empty.
Variables ¶
This section is empty.
Functions ¶
This section is empty.
Types ¶
type CreateRecoveryPointRequest ¶
type CreateRecoveryPointRequest struct {
// (required) Details of the request body to create a recovery point.
Body *import1.RecoveryPoint
}
type DeleteRecoveryPointByIdRequest ¶
type DeleteRecoveryPointByIdRequest struct {
// (required) The external identifier that can be used to retrieve the recovery point using its URL.
ExtId *string
}
type DiscoverClusterForRecoveryPointIdRequest ¶
type DiscoverClusterForRecoveryPointIdRequest struct {
// (required) The external identifier that can be used to retrieve the recovery point using its URL.
ExtId *string
// (required) Request body containing recovery point specifications for discovering the cluster.
Body *import7.ClusterDiscoverSpec
}
type GetRecoveryPointByIdRequest ¶
type GetRecoveryPointByIdRequest struct {
// (required) The external identifier that can be used to retrieve the recovery point using its URL.
ExtId *string
}
type GetVssMetadataByVmRecoveryPointIdRequest ¶
type GetVssMetadataByVmRecoveryPointIdRequest struct {
// (required) The external identifier that can be used to retrieve the recovery point using its URL.
RecoveryPointExtId *string
// (required) The external identifier that can be used to identify a VM recovery point.
VmRecoveryPointExtId *string
}
type ListRecoveryPointsRequest ¶
type ListRecoveryPointsRequest struct {
// Cluster type from which recovery points must be fetched. Valid values: [AOS, MST]
XClusterId *string
// A URL query parameter that specifies the page number of the result set. It must be a positive integer between 0 and the
// maximum number of pages that are available for that resource. Any number out of this range might lead to no results.
Page_ *int
// A URL query parameter that specifies the total number of records returned in the result set. Must be a positive integer
// between 1 and 100. Any number out of this range will lead to a validation error. If the limit is not provided, a default
// value of 50 records will be returned in the result set.
Limit_ *int
// A URL query parameter that allows clients to filter a collection of resources. The expression specified with $filter is
// evaluated for each resource in the collection, and only items where the expression evaluates to true are included in the
// response. Expression specified with the $filter must conform to the [OData
// V4.01](https://docs.oasis-open.org/odata/odata/v4.01/odata-v4.01-part1-protocol.html) URL conventions.
// For example, filter **$filter=name eq 'karbon-ntnx-1.0'** would filter the result on cluster name 'karbon-ntnx1.0',
// filter **$filter=startswith(name, 'C')** would filter on cluster name starting with 'C'.
Filter_ *string
// A URL query parameter that allows clients to specify the sort criteria for the returned list of objects. Resources can
// be sorted in ascending order using asc or descending order using desc. If asc or desc are not specified, the resources
// will be sorted in ascending order by default. For example, '$orderby=templateName desc' would get all templates sorted
// by templateName in descending order.
Orderby_ *string
// A URL query parameter that allows clients to request a specific set of properties for each entity or complex type.
// Expression specified with the $select must conform to the [OData
// V4.01](https://docs.oasis-open.org/odata/odata/v4.01/odata-v4.01-part1-protocol.html) URL conventions. If a $select
// expression consists of a single select item that is an asterisk (i.e., *), then all properties on the matching resource
// will be returned.
Select_ *string
}
type ReplicateRecoveryPointRequest ¶
type ReplicateRecoveryPointRequest struct {
// (required) The external identifier that can be used to retrieve the recovery point using its URL.
ExtId *string
// (required) External identifier of the cluster and the Prism Central where the recovery point is to be replicated. The recovery
// point identified by `extId` is replicated from the current Prism Central to the remote Prism Central with the external
// identifier `pcExtId` . This replication allows the data-protection service to decide on which cluster to perform the
// automatic replication. However, the user also has the option to choose the cluster identified by `clusterExtId` to which
// the recovery point identified by `extId` should be replicated. Cross-AZ replication can be performed only by users
// having legacy roles (e.g. `admin`).
Body *import1.RecoveryPointReplicationSpec
}
type RestoreRecoveryPointRequest ¶
type RestoreRecoveryPointRequest struct {
// (required) The external identifier that can be used to retrieve the recovery point using its URL.
ExtId *string
// Specification for the restore action on the top-level recovery point. For a recovery point that contains multiple VM or
// volume group recovery points, users can selectively trigger restore for any specific set of VM or volume group recovery
// points. In case no particular selection is made, all VM and volume group recovery points that are a part of the
// top-level recovery point are restored.
Body *import1.RecoveryPointRestorationSpec
}
type SetRecoveryPointExpirationTimeRequest ¶
type SetRecoveryPointExpirationTimeRequest struct {
// (required) The external identifier that can be used to retrieve the recovery point using its URL.
ExtId *string
// (required) Request body details to set the expiration time for the recovery point.
Body *import1.ExpirationTimeSpec
}
type VmRecoveryPointComputeChangedRegionsRequest ¶
type VmRecoveryPointComputeChangedRegionsRequest struct {
// (required) The external identifier that can be used to retrieve the recovery point using its URL.
RecoveryPointExtId *string
// (required) The external identifier that can be used to identify a VM recovery point.
VmRecoveryPointExtId *string
// (required) Disk recovery point identifier.
ExtId *string
// (required) Compute changed region parameters. These parameters allow you to specify a start offset, length, block size, and a
// reference disk recovery point. All parameters are optional. However, if you need to set a reference disk recovery point,
// you must specify all three parameters: recovery point ID, VM recovery point ID, and disk recovery point ID.
Body *import7.VmRecoveryPointChangedRegionsComputeSpec
}
type VolumeGroupRecoveryPointComputeChangedRegionsRequest ¶
type VolumeGroupRecoveryPointComputeChangedRegionsRequest struct {
// (required) The external identifier that can be used to retrieve the recovery point using its URL.
RecoveryPointExtId *string
// (required) External identifier of the volume group recovery point.
VolumeGroupRecoveryPointExtId *string
// (required) Disk recovery point identifier.
ExtId *string
// (required) Compute changed region parameters. These parameters allow you to specify a start offset, length, block size, and a
// reference disk recovery point. All parameters are optional. However, if you need to set a reference disk recovery point,
// you must specify all three parameters: recovery point ID, volume group recovery point ID, and disk recovery point ID.
Body *import7.VolumeGroupRecoveryPointChangedRegionsComputeSpec
}
Source Files
¶
- create_recovery_point_request.go
- delete_recovery_point_by_id_request.go
- discover_cluster_for_recovery_point_id_request.go
- get_recovery_point_by_id_request.go
- get_vm_recovery_point_by_id_request.go
- get_vss_metadata_by_vm_recovery_point_id_request.go
- list_recovery_points_request.go
- replicate_recovery_point_request.go
- restore_recovery_point_request.go
- set_recovery_point_expiration_time_request.go
- vm_recovery_point_compute_changed_regions_request.go
- volume_group_recovery_point_compute_changed_regions_request.go
Click to show internal directories.
Click to hide internal directories.